package de.ozgcloud.archive.common.xta;

import jakarta.activation.DataHandler;
import jakarta.activation.FileDataSource;

import org.springframework.core.io.ClassPathResource;

import de.ozgcloud.xta.client.model.XtaFile;
import lombok.SneakyThrows;

public class XtaFileTestFactory {

	public static final String DUMMY_XML_FILE_PATH = "xml-templates/dummy.xml";

	public static XtaFile create() {
		return create(DUMMY_XML_FILE_PATH);
	}

	public static XtaFile create(String filePath) {
		return createBuilder(filePath).build();
	}

	public static XtaFile.XtaFileBuilder createBuilder() {
		return createBuilder(DUMMY_XML_FILE_PATH);
	}

	public static XtaFile.XtaFileBuilder createBuilder(String filePath) {
		return XtaFile.builder()
				.content(createDataHandler(filePath));
	}

	@SneakyThrows
	private static DataHandler createDataHandler(String filePath) {
		var file = new ClassPathResource(filePath).getFile();
		return new DataHandler(new FileDataSource(file));
	}
}