/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.archive.kommentar;

import de.ozgcloud.archive.export.DokumentTypeTestFactory;
import de.ozgcloud.archive.file.OzgFile;
import de.ozgcloud.archive.file.OzgFileTestFactory;
import de.ozgcloud.archive.kommentar.KommentarsExportData.KommentarsExportDataBuilder;
import de.xoev.xdomea.DokumentType;

public class KommentarsExportDataTestFactory {

	public static final DokumentType DOKUMENT_TYPE = DokumentTypeTestFactory.create();
	public static final OzgFile OZG_FILE = OzgFileTestFactory.createWithUniqueId();

	public static KommentarsExportData create() {
		return createBuilder().build();
	}

	public static KommentarsExportDataBuilder createBuilder() {
		return KommentarsExportData.builder()
				.dokumentType(DOKUMENT_TYPE)
				.attachment(OZG_FILE);
	}
}
