/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.archive.vorgang;

import java.util.Map;
import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

public class EingangTestFactory {

	public static final String ID = UUID.randomUUID().toString();

	public static final String SINGLE_FIELD_NAME = "name";
	public static final String SINGLE_FIELD_VALUE = LoremIpsum.getInstance().getName();
	public static final String NUMERIC_FIELD_NAME = "alter";
	public static final Integer NUMERIC_FIELD_VALUE = (int) Math.random() * 100;

	public static final String SUBFORM_FIELD_NAME = "E-Mail";
	public static final String SUBFORM_FIELD_VALUE = LoremIpsum.getInstance().getEmail();
	public static final String SUBFORM_NAME = "kontakt";
	public static final Map<String, Object> SUBFORM = Map.of(SUBFORM_FIELD_NAME, SUBFORM_FIELD_VALUE);

	public static final Map<String, Object> AS_MAP = Map.of(SINGLE_FIELD_NAME, SINGLE_FIELD_VALUE, NUMERIC_FIELD_NAME, NUMERIC_FIELD_VALUE,
			SUBFORM_NAME, SUBFORM);

	public static Eingang create() {
		return createBuilder().build();
	}

	public static Eingang.EingangBuilder createBuilder() {
		return Eingang.builder()
				.id(ID)
				.antragsteller(AntragstellerTestFactory.create())
				.header(EingangHeaderTestFactory.create())
				.zustaendigeStelle(ZustaendigeStelleTestFactory.create())
				.formData(AS_MAP);
	}
}
